### File

`packages/components/eui-calendar/models.ts`

### Description

Event emitted when the calendar navigation buttons are clicked.

### Index

###### Properties
current direction mode new

### Properties

current
`current: `Date``
Type : `Date`
The current date before navigation.

direction
`direction: `EuiCalendarNavigationDirection``
Type : `EuiCalendarNavigationDirection`
The direction of navigation, either 'previous' or 'next'.

mode
`mode: `EuiCalendarMode``
Type : `EuiCalendarMode`
The current mode of the calendar (monthly, weekly, or daily).

new
`new: `Date``
Type : `Date`
The new date after navigation.

# results matching ""

# No results matching ""